.service-section {
    padding: 80px 0 120px 0;
    position: relative;
}

.service-svg-first {
    position: absolute;
    top: -5%;
    left: 0;
    z-index: -1;
}

.service-svg-second {
    bottom: -80px;
    right: 0;
    position: absolute;
    z-index: -1;
}


.service__container {
    display: flex;
    justify-content: center;
    margin-top: 80px;
}

.service__items {
    max-width: 1259px;
    width: 100%;
}

.service__item {
    display: flex;
    width: 100%;
    border-bottom: 1px solid rgba(199, 88, 26, 1);
    transition: all 0.3s;
}

.service__item:hover {
    border-bottom: 1px solid transparent;
}

.service__item:not(:last-child) {
    margin-bottom: 50px;
}

.service__item-right {
    margin-left: 48px;
    width: 100%;
}

.service__item-img {
    width: 214px;
    height: 214px;
    object-fit: cover;
    border-radius: 5px
}

.service__item-text {}

.service__item-name {
    font-size: 30px;
    font-weight: 600;
    line-height: 36.57px;
    display: flex;
    justify-content: space-between;
    color: black;
}

.service__item-description {
    margin-top: 30px;
}

.service__item-description p {
    margin-top: 30px;
    font-size: 20px;
    font-weight: 400;
    line-height: 24.38px;
    max-width: 808px;
    color: black;
}

.service__form-btn-wrap {
    max-height: 0;
    height: 100%;
    opacity: 0;
    transition: all 0.3s;
}

.service__item:hover .service__form-btn-wrap {
    max-height: 300px;
    opacity: 1;
    margin-top: 50px;
}

.service__item-btn {
    font-size: 24px;
    font-weight: 400;
    line-height: 29.26px;
    padding: 18px 56px;
    color: rgba(30, 30, 30, 1);
    border: 1px solid rgba(30, 30, 30, 1);
    border-radius: 5px;
    cursor: pointer;
    transition: all 0.3s;
    display: flex;
    justify-content: center;
    max-width: 287px;
}

.service__item-btn:hover {
    background: rgba(30, 30, 30, 1);
    color: white;
}


@media(max-width: 991.98px) {
    .service__form-btn-wrap {
        margin-top: 50px;
        max-height: 300px;
        opacity: 1;
    }

    .service-svg-first,
    .service-svg-second {
        display: none;
    }

    .service-section {
        padding: 30px 0 10px 0;
    }

    .service__container {
        margin-top: 40px;
    }

    .service__items {
        max-width: 100%;
    }

    .service__item {
        flex-direction: column;
        gap: 10px;
        box-shadow: 1px -1px 25px 0px rgba(0, 0, 0, 0.06);
        padding: 10px 5px;
        border-radius: 5px;
        background: white;
        border-bottom: none;
        align-items: center;
    }

    .service__item-name {
        flex-direction: column;
        gap: 8px;
    }

    .service__item-right {
        margin-left: 0;
    }
}

@media(max-width: 767.98px) {
    .service__item:not(:last-child) {
        margin-bottom: 20px;
    }

    .service__item-name {
        font-size: 16px;
        font-weight: 700;
        line-height: 19.5px;
    }

    .service__item-description {
        margin-top: 15px;
    }

    .service__item-description p {
        font-size: 14px;
        font-weight: 400;
        line-height: 22px;
    }

    .service__item-description {
        overflow: hidden;
        display: -webkit-box;
        -webkit-line-clamp: 2;
        /* Ограничение на две строки */
        -webkit-box-orient: vertical;
        text-overflow: ellipsis;
        /* Добавляем троеточие */
        white-space: normal;
    }

    .service__item-description.expanded {
        -webkit-line-clamp: unset;
        /* Убираем ограничение на количество строк */
        overflow: visible;
        /* Текст теперь будет видим в полном объеме */
    }

    .service__item-toggle {
        margin-left: auto;
        font-size: 14px;
        font-weight: 500;
        line-height: 17.07px;
        cursor: pointer;
        align-self: center;
        color: rgba(199, 88, 26, 1);
    }


    .service__form-btn-wrap {
        margin-top: 20px;
        width: 100%;
    }

    .service__item:hover .service__form-btn-wrap {
        margin-top: 20px;
    }

    .service__item-btn {
        width: 100%;
        display: flex;
        justify-content: center;
        font-size: 14px;
        font-weight: 500;
        line-height: 17.07px;
        padding: 10px 0;
        max-width: 100%;
    }
}

@media(min-width: 767.98px) {
    .service__item-toggle {
        display: none;
    }
}

@media(max-width: 464.98px) {
    .service__item-img {
        width: 120px;
        height: 100px;
    }
}